class FromHyrax::InstallGenerator < Rails::Generators::Base
  source_root File.expand_path('../templates', __FILE__)

  def inject_content_dm_yml
    copy_file('config/from_hyrax.yml', 'config/from_hyrax.yml') unless File.file?('config/from_hyrax.yml')
  end

  def inject_dashboard_link
    file_path = 'app/views/spotlight/shared/_curation_sidebar.html.erb'
    if File.file?(file_path)
      insert_into_file file_path, before: /[ \t]*<% if can\? :tag, current_exhibit %>/m do
        "                 \n<%= nav_link t(:'Hyrax Transfer'), main_app.from_hyrax_index_path(current_exhibit) %>\n"
      end
    else
      copy_file 'views/_curation_sidebar.html.erb', file_path
    end
  end

end
